-- -----------------------------------------------------------------------------
-- Cancel cinematics after they start
-- -----------------------------------------------------------------------------
local f = CreateFrame("frame")
f:RegisterEvent("CINEMATIC_START")
f:SetScript("OnEvent", function(_, e)
    if e == "CINEMATIC_START" then
        local start = GetTime()
        f:SetScript("OnUpdate", function()
            -- Continually check for cinematic within the next 5 seconds
            if InCinematic() or GetTime()-start > 5 then
                if not IsControlKeyDown() then
                    StopCinematic()
                end

                f:SetScript("OnUpdate", nil)
            end
        end)
    end
end)



-- -----------------------------------------------------------------------------
-- Hook movies and stop them before they get called
-- -----------------------------------------------------------------------------
local PlayMovie_hook = MovieFrame_PlayMovie
MovieFrame_PlayMovie = function(...)
    if IsControlKeyDown() then
        PlayMovie_hook(...)
    else
        GameMovieFinished()
    end
end
